Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  package patmat
  Definition Classes
    transform
-  trait MatchTranslation extends AnyRef

  Translate typed Trees that represent pattern matches into the patternmatching IR, defined by TreeMakers.

  Translate typed Trees that represent pattern matches into the patternmatching IR, defined by TreeMakers.

  Definition Classes
    patmat
-  trait MatchTranslator extends PatternMatching.TreeMakers with PatternMatching.TreeMakerWarnings
  Definition Classes
    MatchTranslation
- AbsCodegen
- AlternativesTreeMaker
- BodyTreeMaker
- BoundTree
- Casegen
- CommonCodegen
- CondTreeMaker
- EmptySubstitution
- EqualityTestTreeMaker
- ExtractorCall
- ExtractorCallProd
- ExtractorCallRegular
- ExtractorTreeMaker
- FunTreeMaker
- GuardTreeMaker
- NoNewBinders
- NonNullTestTreeMaker
- PatternBoundToUnderscore
- PreserveSubPatBinders
- ProductExtractorTreeMaker
- SubstOnlyTreeMaker
- Substitution
- SymbolBound
- TranslationStep
- TreeMaker
- TrivialTreeMaker
- TypeTestTreeMaker
- WildcardPattern

c

scala.tools.nsc.transform.patmat.MatchTranslation.MatchTranslator

# BoundTree

###

#### final case class BoundTree(binder: Global.Symbol, tree: Global.Tree) extends Product with Serializable

Source
  MatchTranslation.scala

Linear Supertypes
java.io.Serializable, Product, Equals, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. BoundTree
2. Serializable
3. Product
4. Equals
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new BoundTree(binder: Global.Symbol, tree: Global.Tree)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from BoundTree toany2stringadd[BoundTree] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (BoundTree, B)
   Implicit
     This member is added by an implicit conversion from BoundTree toArrowAssoc[BoundTree] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  val binder: Global.Symbol
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  def ensuring(cond: (BoundTree) => Boolean, msg: => Any): BoundTree
   Implicit
     This member is added by an implicit conversion from BoundTree toEnsuring[BoundTree] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (BoundTree) => Boolean): BoundTree
    Implicit
      This member is added by an implicit conversion from BoundTree toEnsuring[BoundTree] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: => Any): BoundTree
    Implicit
      This member is added by an implicit conversion from BoundTree toEnsuring[BoundTree] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): BoundTree
    Implicit
      This member is added by an implicit conversion from BoundTree toEnsuring[BoundTree] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from BoundTree toStringFormat[BoundTree] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  def glbWith(other: Global.Type): Global.Type
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  def nextStep(): TranslationStep
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  def pos: Global.Position
24.  def productElementNames: Iterator[String]
    Definition Classes
      Product
25.  def pt: Global.Type
26.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
27.  def toString(): String
    Definition Classes
      BoundTree → AnyRef → Any
28.  def tpe: Global.Type
29.  def translate(): List[MatchTranslator.TreeMaker]
30.  val tree: Global.Tree
31.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
32.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
33.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
34.  object SymbolAndTypeBound
35.  object TypeBound

### Deprecated Value Members

1.  def →[B](y: B): (BoundTree, B)
   Implicit
     This member is added by an implicit conversion from BoundTree toArrowAssoc[BoundTree] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromBoundTree to any2stringadd[BoundTree]

### Inherited by implicit conversion StringFormat fromBoundTree to StringFormat[BoundTree]

### Inherited by implicit conversion Ensuring fromBoundTree to Ensuring[BoundTree]

### Inherited by implicit conversion ArrowAssoc fromBoundTree to ArrowAssoc[BoundTree]

### Ungrouped